<?php
/**
* @package EverLive.net Ev Security Watch for Joomla 3.x
* @version $Id: 100 2017-28-02 $
* @author EverLive.net
* @copyright (C) 2017 EverLive.net. All rights reserved.
* @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

class cm_pc_upgrade_funcs{

	function je_add_rec_if_not_exists( $tbl, $key, $keyval, $fields, $vals ){
		$db	= JFactory::getDBO();
		$query = "SELECT COUNT(*) FROM #__$tbl
			WHERE $key = '$keyval'	";
		$db->setQuery( $query );
		if ( $db->loadResult() > 0 ) return;

		$query = "INSERT INTO #__$tbl ($fields) VALUES ($vals)";
		$db->setQuery( $query );
		$db->query();
	}

	function je_add_column_if_not_exist($tbl, $column, $column_attr = "VARCHAR( 255 ) NULL" ){
		$db		= JFactory::getDBO();

		$exists = false;
		$rows = i_getRows("show columns from $tbl");

		for ($i = 0; $i < count($rows); $i++){
			if ( $rows[$i]->Field == $column ) return;
		}

		$db->setQuery( "ALTER TABLE ". $db->quoteName($tbl) ." ADD ". $db->quoteName($column) ."  $column_attr" );
		$db->query();
	}

	function i_getRows( $query, $limitStart=0, $recs=0 ){
		$db	= JFactory::getDBO();

		if ( $recs > 0 ) {
			$db->setQuery( $query, $limitStart, $recs );
		}else{
			$db->setQuery( $query );
		}

		$rows = $db->loadObjectList();
		return $rows;
	}
}
?>