<?php
/**
* @package EverLive.net Ev Security Watch for Joomla 3.x
* @version $Id: 100 2017-28-02 $
* @author EverLive.net
* @copyright (C) 2017 EverLive.net. All rights reserved.
* @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.form.formfield');

class HTML_ev_secuwatch{
	public static function listAll( &$rows, &$pageNav, $option, &$lists, $task, $fields )
	{
			$tmp = JURI::base() .'components/com_ev_secuwatch/media/jquery.timeago.js';
			echo '<script type="text/javascript" src="'.$tmp.'"></script>';

			echo EvGeneCompoHelperSW::evContactFooter();
			
			echo self::refreshOps();
			$act = JURI::getInstance()->toString();
			EvGeneCompoHelperSW::geneHeader($rows, $lists, $fields, 'com_ev_secuwatch', '^', $act);
			
			EvGeneCompoHelperSW::grid_heading( JText::_('ID'), 'id', $lists, ' style="margin-left:16px" ' );
			
			EvGeneCompoHelperSW::grid_heading( JText::_('COM_EV_SECUWATCH_BE_WATCH_LIVE_LIST_AT'), 'is_admin', $lists );
			EvGeneCompoHelperSW::grid_heading( 'Country','country_code',$lists );
			EvGeneCompoHelperSW::grid_heading( JText::_('COM_EV_SECUWATCH_BE_WATCH_LIVE_LIST_IP'), 'ip', $lists );
			EvGeneCompoHelperSW::grid_heading( JText::_('COM_EV_SECUWATCH_BE_WATCH_LIVE_LIST_TIME'), 'date_time', $lists );

			//EvGeneCompoHelperSW::grid_heading( JText::_('JS'), 'is_js', $lists
			//		, ' style="margin-left:13px" ' );
			
			EvGeneCompoHelperSW::grid_heading( JText::_('COM_EV_SECUWATCH_BE_WATCH_LIVE_LIST_REQURL'), 'request_url', $lists );

			EvGeneCompoHelperSW::grid_heading( JText::_('COM_EV_SECUWATCH_BE_WATCH_LIVE_LIST_STATUS'), ''
					, $lists,'', '' );
			
			EvGeneCompoHelperSW::grid_heading( JText::_('COM_EV_SECUWATCH_BE_WATCH_LIVE_LIST_ACTION'), 'is_blocked', $lists );
			EvGeneCompoHelperSW::grid_heading( JText::_('COM_EV_SECUWATCH_BE_WATCH_LIVE_LIST_MOREINFO'), 'more_details', $lists, 'style="text-align:center"' );
			
			//EvGeneCompoHelperSW::grid_heading( JText::_('COM_EV_SECUWATCH_BE_WATCH_LIVE_LIST_ID'), 'id'
			//		, $lists, 'style="text-align:right"' );
			
			EvGeneCompoHelperSW::geneFooter($pageNav,10);
					
			$k = 0; $lastId = 0;
			for ($i=0, $n=count($rows); $i < $n; $i++) {
				$row = $rows[$i];
				if ($i == 0) $lastId = $row->id;

				//$link 		= JRoute::_( 'index.php?option=com_ev_secuwatch&view=blockit&cid[]='. $row->id );

				//$checked 	= JHTML::_('grid.checkedout',   $row, $i );
				//$published 	= JHTML::_('grid.published', $row, $i, 'tick.png', 'publish_x.png', 'popup' );

				//$at = JText::_('COM_EV_SECUWATCH_BE_GENE_LBL_SITE');
				//if ($row->is_admin) $at = JText::_('COM_EV_SECUWATCH_BE_GENE_LBL_ADMIN');
				
				//$stVal = self::getStatusVals($row->recon_status);
				echo EvGeneCompoHelperSW::formatReqThisRow($row, $k, $i, false);
				$k = 1 - $k;
			}
			?>
			</tbody></table>

			<?php EvGeneCompoHelperSW::allRecsFormsFooter($option, $task, $lists); ?>
			
		</form>
		<?php
		echo self::addAjaxLiveWatch($lastId,$k);
		echo EvGeneCompoHelperSW::getIframePopJs();
	}

	public static function getStatusVals($recon_status, $bAll=false){
		$ary[0] = JText::_('COM_EV_SECUWATCH_BE_WATCH_LIVE_LIST_STATUS_VALS_0');
		$ary[10] = JText::_('COM_EV_SECUWATCH_BE_WATCH_LIVE_LIST_STATUS_VALS_10');
		$ary[19] = JText::_('COM_EV_SECUWATCH_BE_WATCH_LIVE_LIST_STATUS_VALS_19');
		$ary[80] = JText::_('Unwanted Bot');
		$ary[99] = JText::_('COM_EV_SECUWATCH_BE_WATCH_LIVE_LIST_STATUS_VALS_99');
		
		if ($bAll) return $ary;
		
		return $ary[$recon_status];
	}
	
	static function refreshOps(){
		$doc = JFactory::getDocument();
		$s = 'td:nth-child(7){max-width: 150px; word-wrap: break-word;}
				.evsw_list_rst_0 {color:blue} 
				.evsw_list_rst_10 {} 
				.evsw_list_rst_19 {color:blue} 
				.evsw_list_rst_80 {color:orange} 
				.evsw_list_rst_99 {color:red} 
				.evsw_list_trborder {background-color:yellow !important}
				.evsw_list_trborder_hover {background-color:antiquewhite !important}
			';
		$doc->addStyleDeclaration($s);
	
		$chk = ' checked="checked" ';
		
		$tmp = (int) EvGeneCompoHelperSW::getJInputVar('isft',0);
		
		if ($tmp==1) $chk = '';
		
		$tmp2 = '';
		if (!EV_SECUWATCH_IS_PRO){
			$tmp2 = EvGeneCompoHelperSW::getProLink('Buy Pro Version',' class="btn btn-success" ');
		}else{
			$url = JURI::base() . 'index.php?option=com_ev_secuwatch&task=show_settings';
			$tmp2= EvGeneCompoHelperSW::getIframeCode($url,'Settings',null,null,' btn btn-success');
		}

		$h2 = EvGeneCompoHelperSW::getHtaccessMsg();
		if (EV_SECUWATCH_IS_PRO){
			if ( !defined('EVSW__CFG_SECUKEY') ||  EVSW__CFG_SECUKEY==''){
				$h2 .= '<div style="color:red; margin:10px;"><h4>IMPORTANT: Security key is empty. Please go in settings and enter your own security key first.</h4></div>';
			}
		}
		
		$h = '<div style="float:right">
				 Auto Refresh <input style="margin-top:-2px" type="checkbox" id="refresh_option" value="1" '.$chk.' >&nbsp;&nbsp;&nbsp; 
				'. $tmp2 .'
			  </div>
				'. $h2;
		//		&nbsp;&nbsp;Show Potential Threats Only  <input type="checkbox" id="evsw_show_pt" value="1">
		return $h;
	}
	
	static function addAjaxLiveWatch( $lastId,$k ){
		$ttm = time();
		$h = '<script type="text/javascript">
				var evsw_last_req_id = '.$lastId.';
				var evsw_last_k = "'.$k.'";
				var evsw_last_time = '. $ttm .';
				var ev_refresh_done=1;

				function evsw_trHoverStyling($,mode){
					$("#adminFormTBody tr").hover(function() {
						$(this).children().addClass("evsw_list_trborder_hover");
					}, function() {
						$(this).children().removeClass("evsw_list_trborder_hover");
					});
					
					// $("#adminFormTBody tr").click(function(){
						// $(this).toggleClass("evsw_list_trborder");
					// });
					$("[name=\'cid[]\'").change(function(){
						var v = $(this).is(":checked");
						if (v){
							$(this).parent().parent().children().addClass("evsw_list_trborder");
						}else{
							$(this).parent().parent().children().removeClass("evsw_list_trborder");
						}
					});

					$("#evsw_show_pt").click(function(){
						var v = $(this).is(":checked");
						evsw_RowDispSetThis(v);
					});	
				}
				
				function evsw_RowDispSet(){
					var v = jQuery("#evsw_show_pt").is(":checked");
					evsw_RowDispSetThis(v);
				}
				
				function evsw_RowDispSetThis(v){
					if (v){
						jQuery(".evsw_list_tr_0, .evsw_list_tr_10, evsw_list_tr_19").css("display","none");
					}else{
						jQuery(".evsw_list_tr_0, .evsw_list_tr_10, evsw_list_tr_19").css("display","");
					}					
				}
				
				jQuery(document).ready(function($) {
					evsw_trHoverStyling(jQuery,0);
					jQuery("time.timeago").timeago();
				});
				
				function evsw_refresh_list(){
					if (ev_refresh_done==0) return;
					
					var rscnd = jQuery("#refresh_option").is(":checked");
					if (!rscnd) return;
					
					var showpt = jQuery("#evsw_show_pt").is(":checked");
				
					rid = evsw_last_req_id;
					tm  = evsw_last_time;
					
					var url = "'. JURI::root() 
						.'administrator/index.php?option=com_ev_secuwatch&task=get_latest_reqs&tmpl=component&lastid="
							+rid+"&last_time="+tm+"&lastk="+evsw_last_k;
					
					console.log("Get latest started");
					ev_refresh_done=0;
					jQuery.ajax( 
						{
							url: url,
							type: "GET",
							cache: false,
							complete: function(){
								console.log("Get latest done");
								ev_refresh_done=1;
								evsw_last_time	 = Math.floor( (Date.now()-1000) / 1000);
							},
							success: function(data) {
								if (data!=""){
									if (data=="r10"){
										window.location = window.location;
										return;
									}
									
									var d = JSON.parse(data);
									
									var k=evsw_last_k;
									for(i=0;i<d.length;i++){
										var r = d[i];
										r.id = Number(r.id);
										var cbid = rid+r.id;
										
										var h="";  var tmp=""; var tmp2="";

										console.log(r.id + " - " + r.status_text);
										
										if (r.id <= evsw_last_req_id){
											var e = jQuery("#evsw_list_rqrow"+r.id);
											e.replaceWith(r.formatted_row);
										
											var e = jQuery("#evsw_list_rid"+r.id);
											e.html(r.status_text);
											//e.html(r.formatted_rcns);
											e.removeClass();
											e.addClass("evsw_list_rst_"+r.recon_status);
											
											//var e = jQuery("#evsw_list_act"+r.id);
											//e.html(r.formatted_act);

											//var e = jQuery("#evsw_list_mi"+r.id);
											//e.html(r.formatted_mi);
											
											//var e = jQuery("#evsw_list_isjs"+r.id);
											//e.html(r.formatted_isjs);
											
											
										}else{
											evsw_last_req_id = r.id;
										
											tmp = " evsw_list_tr_"+r.recon_status; tmp2="";
											if ( jQuery("#evsw_show_pt").is(":checked") && r.recon_status!=99 ) 
												tmp2 = " style=\'display:none;\' ";
											
											h = r.formatted_row;
											
											//jQuery("#adminFormTBody").prepend(h).fadeIn("slow");
											jQuery(h).hide().prependTo("#adminFormTBody").fadeIn("slow");
											k=1-k;
											SqueezeBox.assign("a.modal#evsw_rql_md_"+r.id);
											jQuery("#evsw_list_time_"+r.id).timeago();
										}
										evsw_RowDispSet();

									}
									//x evsw_last_time	 = Math.floor( (Date.now()-1000) / 1000);
									evsw_last_k = k;
								}
							}
						});
					evsw_trHoverStyling(jQuery, 1);
				}

				setInterval(function(){
					evsw_refresh_list();
				}, 5000);
												
			  </script>';
		return $h;
	}
	
	function debugJe( $str ){
		$debug_mode	= EvGeneCompoHelperSW::getJInputVar('debugje');

		if ( $debug_mode != 'ev_secuwatch' ) return;
		
		$pfx = EvGeneCompoHelperSW::getTablePrefix();
		$str = str_replace('#__', $pfx, $str);
		echo $str . '<pre><hr /></pre>';
	}
}